Instalar Debian GNU/Linux 4.0r9

Debian GNU/Linux 4.0 se ha sustituido por Debian GNU/Linux 5.0 (lenny). Algunas de estas imágenes de instalación puede que ya no estén disponibles, o puede que no funcionen, y le recomendamos que instale lenny en su lugar.

Para instalar Debian GNU/Linux 4.0r9 (etch), descargue cualquiera de las siguientes imágenes:

Imágenes de CD netinst (generalmente 135-175 MB)

Imágenes de CD tamaño tarjeta de visita (generalmente 20-50 MB)

Conjunto completo de CD (a través de jigdo)

Conjunto completo de DVD (a través de jigdo)

Otras imágenes (arranque de red, memoria USB, etc)

Notas

Documentación

Si sólo va a leer un documento antes de la instalación, lea nuestro Cómo instalar, un paseo rápido por el proceso de instalación. Otra documentación útil incluye:

Erratas

Esta es una lista de los problemas conocidos del instalador que lleva Debian GNU/Linux 4.0r9. Si ha experimentado algún problema instalando Debian y no ve su problema en esta lista, por favor mándenos un informe de instalación describiendo el problema o compruebe el wiki para ver otros problemas conocidos.

Erratas de la publicación 4.0r3

Esta publicación arregla los dos asuntos que se listan a continuación de 4.0r2.

Erratas de la publicación 4.0r2

Esta publicación arregla el problema de configuración de la consola serie con GRUB que se lista más abajo en la publicación 4.0r0.

Debido a un despiste, el instalador no usa la versión del núcleo publicada con 4.0r2, sino una ligeramente anterior (2.6.18.dfsg.1-13). Los módulos cargados más tarde en la instalación pueden ser de una versión posterior(2.6.18.dfsg.1-16), pero como estas dos versiones usan una ABI compatible, esto no debería causar problemas.

Por la misma razón, los añadidos para poder usar máquinas Nevada SGI O2 que se menciona en el anuncio de publicación no están realmente añadidos en esta publicación.

Estos dos asuntos se corregirán en la próxima publicación de Etch.

Erratas de la publicación 4.0r1

Esta nueva publicación arregla unos pocos problemas presentes en la publicación 4.0r0 original. Ahora se detectan más dispositivos de CD y USB y gksu se configurará correctamente cuando se instale con la cuenta de root deshabilitada (modo sudo). Ahora se pueden crear sistemas de archivos ext2 en amd64.

También se ha actualizado la lista de réplicas, así como las traducciones catalana y rumana del particionador.

Con la actualización del núcleo en esta publicación, algunas de las imágenes que se publicaron originalmente con etch 4.0r0 (arranque por red y disquetes) ya no funcionarán debido a que las versiones del núcleo no concuerdan. Las instalaciones basadas en CD no están afectadas.

Erratas de la publicación 4.0r0

Los dispositivos de disco pueden cambiar al reiniciar
En algunos sistemas con múltiples controladores de discos, el núcleo/udev pueden asignar un nodo diferente de dispositivo al reiniciar el sistema del que se usó durante la instalación debido a diferencias en el orden de carga de los controladores.
Esto puede llevar a fallos en el arranque del sistema. En la mayoría de los casos se puede corregir cambiando la configuración del cargador de arranque y /etc/fstab, posiblemente usando el modo rescate del instalador.
Sin embargo, tenga en cuenta que este error puede ocurrir de nuevo en arranques posteriores. El arreglo de esta cuestión tiene prioridad en la próxima versión del instalador de Debian.
Puede fallar el redimensionamiento de las particiones ext3 existentes
Actualmente, el instalador no puede redimensionar particiones ext3 que tengan las características dir_index y/o resize_inode activadas. Esto incluye particiones ext3 creadas con el instalador de Etch.
Sin embargo, el usuario puede redimensionar una partición ext3 manualmente durante la instalación. Proceda hasta el paso de particionado, pulse el botón Retroceder para salir al menú principal, inicie un terminal, y redimensione la partición y el sistema de archivos utilizando las órdenes disponibles en el terminal (fsck.ext3, resize2fs y e.g. fdisk o parted). Si inicia partman de nuevo tras completar la operación de redimensionamiento, debería mostrar el nuevo tamaño de la partición.
Error usando bucle de cifrado aes durante la instalación en hd
Si se usa el bucle de cifrado aes durante una instalación usando las imágenes de medios tipo disco duro (p.ej. desde memorias USB), esto puede fallar con el siguiente mensaje (o similar) en el syslog (#434027):
partman-crypto: ioctl: LOOP_SET_STATUS: Invalid argument, requested cipher or key length (256 bits) not supported by kernel.
La causa de este asunto es que, al principio de la instalación, la imagen del CD se habrá montado mediante un bucle usando el módulo normal de bucle, el cual impide que el módulo de bucle aes se cargue más tarde.
Se puede solventar este asunto desmontando manualmente la imagen de CD, descargando el módulo loop, cargando el módulo loop-aes y remontando la imagen de CD.
Instalación incompleta de la tarea de escritorio desde la imagen completa de CD
La imagen completa de CD es demasiado pequeña para contener todos los paquetes necesarios para instalar la tarea completa de escritorio. Esto significa que si usa sólo el CD como fuente, sólo se instalará parte de la tarea de escritorio.
Puede resolver esto durante la instalación eligiendo usar una réplica de red como fuente para instalar paquetes además del CD (no se recomienda si no tiene una conexión decente a internet), o tras haber reiniciado en el sistema instalado, usar apt-cdrom para cargar CDs adicionales y entonces seleccionar la tarea de escritorio otra vez en aptitude.
Enrutadores defectuosos pueden causar problemas de red
Si experimenta problemas de red durante la instalación, puede que los cause un enrutador, en algún sitio entre usted y la réplica de Debian, que no trate correctamente el escalado de ventana. Véase #401435 y este artículo de kerneltrap para más detalles.
Puede arreglarlo provisionalmente deshabilitando el escalado de la ventana TCP. Abra un terminal e introduzca la siguiente orden:
echo 0 > /proc/sys/net/ipv4/tcp_window_scaling
Probablemente no debería deshabilitar completamente el escalado de la ventana TCP en el sistema instalado. Las siguientes órdenes establecerán los rangos de lectura y escritura que deberían funcionar en casi cualquier enrutador:
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_rmem
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_wmem
Asuntos generales tras reiniciar debido al uso predeterminado de UTF-8
El sistema instalado ahora establece UTF-8 como predeterminado. Sin embargo, no todas las aplicaciones soportan adecuadamente UTF-8 aún, lo que puede resultar en mayores o menores problemas cuando los use.
Por favor, compruebe si ya se ha informado de tales problemas, y si no, remita un informa de error contra el paquete en cuestión (no al instalador).
Localización limitada en el sistema instalado
Para la versión de Sarge del instalador, el paquete localization-config era el responsable de parte de la localización del sistema instalado. Este paquete se ejecutaba como parte de base-config, lo que se ha descartado en la publicación. En nuestra lista de cosas por hacer está adaptar localization-config para que se ejecute antes de reiniciar, pero mientras tanto puede que algunas localizaciones no se hagan automáticamente cuando hagan instalaciones en lenguas distintas del inglés.
No se soporta la instalación de Sarge
Como resultado de algunos cambios estructurales en el instalador, no se soporta la instalación de Sarge (antigua estable).
Instalador gráfico
El instalador gráfico aún tiene algunos asuntos conocidos (véase también la guía de instalación):
  • algunos mapas de caracteres no estadounidenses no están totalmente soportados (teclas muertas y combinaciones de caracteres que no funcionan)
  • los touchpad deberían funcionar, pero el soporte puede no ser óptimo. Si experimenta problemas, debería usar un ratón externo en su lugar
  • soporte limitado para crear particiones cifradas
  • debería funcionar en casi todos los sistemas PowerPC que tengan una tarjeta gráfica ATI, pero es poco probable que funcione en otros sistemas PowerPC
Falso aviso sobre la falta de «swap» cuando se instala la tarea portátil
Cuando se instala la tarea portátil, el paquete uswsusp mostrará un aviso diciendo que No se ja encontrado una partición de intercambio; los programas de suspensión en espacio de usuario no funcionarán. Esto es sólo un aviso incorrecto y los programas de suspensión deberían funcionar correctamente. Véase también el fallo #427104.
El controlador de red sky2 se sabe que no funciona
El controlador de red sky2 se sabe que no funciona en el núcleo (2.6.18.dfsg.1-11) usado en el instalador y puede causar kernel panics. Véase, por ejemplo, #404107. #411115 contiene una serie de parches que pueden arreglar este asunto.
i386/amd64: configuración de terminal serie con GRUB
Hay algunas cuestiones sobre la manera en que el instalador intenta configurar GRUB para usar un terminal serie. Se pueden encontrar todos los detalles en el informe de fallo #416310. Brevemente, estos asuntos se pueden resolver asegurándose de que la paridad y las opciones de bits también se le pasan en la definición console=.
Para la mayoría de la gente esto significará que en lugar de arrancar el instalador con console=ttyS0,9600 deberían arrancarlo usando console=ttyS0,9600n8.
i386: el arranque del instalador puede fallar en algunos sistemas bastante antiguos
Debido a una regresión en el cargador de arranque syslinux que se usa en la mayoría de las imágenes del instalador, algunos sistemas bastante antiguos pueden fallar al arrancar el instalador. Si el arranque se para tras mostrar Loading initrd.gz...., debería intentarlo con una de las imágenes alternativas que usan una versión anterior de syslinux. Vea también el informe de fallo #415992.
amd64: no se puede formatear un sistema de archivos ext2 (arreglado en 4.0r1)
Dado que el módulo ext2 del núcleo no está disponible, no se puede crear un sistema de archivos ext2. Esto se arreglará en la próxima versión del instalador para Etch.
powerpc: varias cuestiones
La adaptación a PowerPC tiene varias cuestiones en esta publicación:
  • la instalación desde disquete en PowerMac OldWorld no funciona porque no se crea un nodo de dispositivo para el módulo swim3 y ya que miboot no está incluido
  • el módulo snd-powermac ya no se carga por omisión ya que bloqueaba algunos sistemas. Tendrá que añadirlo manualmente a /etc/modules
sparc: la instalación desde CD para sparc32 puede fallar
el módulo del controlador esp del núcleo no funciona lo que significa que la instalación desde CD-ROM no funciona en la mayoría de los sistemas sparc32. Le sugerimos que use el método de instalación netboot en su lugar.
sparc: el instalador parece colgarse durante el arranque
Hay dos situaciones en las que el instalador puede parecer colgarse durante el arranque tras mostrar Booting Linux.... La primera es cuando hay dos controladores gráficos presentes (esto también se describe en la guía de instalación). La segunda es debida a un fallo en el núcleo del controlador del búfer de imágenes de ATI y afecta sólo a ciertas tarjetas gráficas de ATI.
En ambos casos, el asunto se puede rodear añadiendo el parámetro video=atyfb:off cuando arranque el instalador.
s390: características no soportadas
  • el soporte para la disciplina DASD DIAG no está disponible actualmente
  • el soporte para interfaces de red LCS ya no está disponible